Subject: Re: powerpc/powernv: Don't alloc IRQ map if necessary

From: Michael Ellerman <[email-masked]>
Date: Thu, 22 Jan 2015 16:54:59 +1100 (AEDT)

On Thu, 2015-08-01 at 05:42:32 UTC, Gavin Shan wrote:
> On PowerNV platform, the OPAL interrupts are exported by firmware
> through device-node property (/ibm,opal::opal-interrupts). Under
> some extreme circumstances (e.g. simulator), we don't have this
> property found from the device tree. For that case, we shouldn't
> allocate the interrupt map. Otherwise, slab complains allocating
> zero sized memory chunk.
 
That sounds fine. But the implementation is a bit messy.

Can you do a precursor patch which moves the logic into opal_irq_init(), that
way when you find no interrupts you can just return.

cheers